class Vector:
    def __init__(self, coordinates):
        self.coordinates = list(coordinates)

	#   .
    def __str__(self):
        return "Vector(" + str(self.coordinates) + ")"

	#       Python. 
	#       ,    .
    def __repr__(self):
        return str(self)

    def set_coord(self, index, value):
        self.coordinates[index] = value

	#     " ",    v[index] = value
    def __setitem__(self, index, value):
        self.coordinates[index] = value

    def get_coord(self, index):
        return self.coordinates[index]

	#     " ",    print(v[index])
    def __getitem__(self, index):
        return self.coordinates[index]

	#   +
    def __add__(self, other):
        if not isinstance(other, Vector):
            return NotImplemented
        result = []
        for i in range(len(self.coordinates)):
            result.append(self.coordinates[i] + other.coordinates[i])

        return Vector(result)

	#   +=
    def __iadd__(self, other):
        if not isinstance(other, Vector):
            return NotImplemented

        for i in range(len(self.coordinates)):
            self.coordinates[i] += other.coordinates[i]

        return self

	#   - ()
    def __sub__(self, other):
        if not isinstance(other, Vector):
            return NotImplemented
        result = []
        for i in range(len(self.coordinates)):
            result.append(self.coordinates[i] - other.coordinates[i])

        return Vector(result)

	#   - ()
    def __neg__(self):
        result = []
        for coord in self.coordinates:
            result.append(-coord)

        return Vector(result)


	#   *
    def __mul__(self, other):
        if isinstance(other, Vector):
            result = 0
            for i in range(len(self.coordinates)):
                result += self.coordinates[i] * other.coordinates[i]
            return result
        elif isinstance(other, int) or isinstance(other, float):
            result = []
            for coord in self.coordinates:
                result.append(coord * other)
            return result
        else:
            return NotImplemented

        
	#   *     .
    def __rmul__(self, other):
        if isinstance(other, int) or isinstance(other, float):
            result = []
            for coord in self.coordinates:
                result.append(coord * other)
            return result
        else:
            return NotImplemented
